> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nx1cloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the config used for a migration run



## OpenAPI

````yaml get /api/migration/data-migration/runs/{run_id}/config
openapi: 3.1.0
info:
  title: Nx1 AI API
  description: |

    AI API for Nx1 Data Platform Management and Automated Data Tasks.

    Authentication is required via PSK in Authorization header.

    Default PSK is | [ask a friend] |
  version: 0.10.2
servers: []
security: []
paths:
  /api/migration/data-migration/runs/{run_id}/config:
    get:
      tags:
        - Data Migration
      summary: Get the config used for a migration run
      operationId: get_run_config_api_migration_data_migration_runs__run_id__config_get
      parameters:
        - name: run_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            description: Run ID.
            title: Run Id
          description: Run ID.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DataMigrationRunConfigResponse'
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Not Found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2AuthorizationCodeBearer: []
        - APIKeyHeader: []
components:
  schemas:
    DataMigrationRunConfigResponse:
      properties:
        tracking_database:
          type: string
          title: Tracking Database
          default: ''
        tracking_location:
          type: string
          title: Tracking Location
          default: ''
        report_output_location:
          type: string
          title: Report Output Location
          default: ''
        default_s3_bucket:
          type: string
          title: Default S3 Bucket
          default: ''
        s3_endpoint:
          type: string
          title: S3 Endpoint
          default: ''
        distcp_mappers:
          type: integer
          title: Distcp Mappers
          default: 50
        distcp_bandwidth:
          type: integer
          title: Distcp Bandwidth
          default: 100
        email_recipients:
          type: string
          title: Email Recipients
          default: ''
        mapr_user:
          type: string
          title: Mapr User
          default: ''
        mapr_ticketfile_location:
          type: string
          title: Mapr Ticketfile Location
          default: ''
        kinit_principal:
          type: string
          title: Kinit Principal
          default: ''
        table_rows:
          items:
            additionalProperties: true
            type: object
          type: array
          title: Table Rows
      type: object
      title: DataMigrationRunConfigResponse
    ErrorResponse:
      properties:
        error:
          type: string
          title: Error
          description: A brief description of the error that occurred.
        code:
          type: integer
          title: Code
          description: The HTTP status code associated with the error.
          default: 500
      type: object
      required:
        - error
      title: ErrorResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2AuthorizationCodeBearer:
      type: oauth2
      flows:
        authorizationCode:
          scopes: {}
          authorizationUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/auth
          tokenUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/token
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization-PSK

````